searchData={"items":[{"type":"module","title":"GenEditor","doc":"Documentation for `GenEditor`.","ref":"GenEditor.html"},{"type":"function","title":"GenEditor.generate_from_blueprint/1","doc":"","ref":"GenEditor.html#generate_from_blueprint/1"},{"type":"function","title":"GenEditor.hello/0","doc":"Hello world.","ref":"GenEditor.html#hello/0"},{"type":"function","title":"Examples - GenEditor.hello/0","doc":"iex> GenEditor.hello()\r\n    :world","ref":"GenEditor.html#hello/0-examples"},{"type":"module","title":"GenEditor.ElementEditor","doc":"","ref":"GenEditor.ElementEditor.html"},{"type":"function","title":"GenEditor.ElementEditor.child_spec/1","doc":"","ref":"GenEditor.ElementEditor.html#child_spec/1"},{"type":"function","title":"GenEditor.ElementEditor.get_context_apps_list/1","doc":"","ref":"GenEditor.ElementEditor.html#get_context_apps_list/1"},{"type":"function","title":"GenEditor.ElementEditor.get_context_list/1","doc":"","ref":"GenEditor.ElementEditor.html#get_context_list/1"},{"type":"function","title":"GenEditor.ElementEditor.get_module_list/1","doc":"","ref":"GenEditor.ElementEditor.html#get_module_list/1"},{"type":"function","title":"GenEditor.ElementEditor.get_schema_list/1","doc":"","ref":"GenEditor.ElementEditor.html#get_schema_list/1"},{"type":"function","title":"GenEditor.ElementEditor.get_web_list/1","doc":"","ref":"GenEditor.ElementEditor.html#get_web_list/1"},{"type":"function","title":"GenEditor.ElementEditor.update_deps/1","doc":"","ref":"GenEditor.ElementEditor.html#update_deps/1"},{"type":"module","title":"GenEditor.Validation","doc":"","ref":"GenEditor.Validation.html"},{"type":"function","title":"GenEditor.Validation.check_app_name!/1","doc":"","ref":"GenEditor.Validation.html#check_app_name!/1"},{"type":"function","title":"GenEditor.Validation.is_module_valid/1","doc":"","ref":"GenEditor.Validation.html#is_module_valid/1"},{"type":"extras","title":"Home","doc":"# GenEditor\n[![Docs](https://img.shields.io/badge/hex.pm-docs-8e7ce6.svg)](https://hexdocs.pm/gen_editor)\n\n[gen_dsl](https://github.com/beltranaceves/gen_dsl) integration with [Kino](https://github.com/livebook-dev/kino) for [Livebook](https://livebook.dev/). It contains a collection of Smart Cells for configuring [Phoenix](https://www.phoenixframework.org/) project templates in terms of code generation [Mix Tasks](https://hexdocs.pm/phoenix/Mix.Tasks.Phx.Gen.html) and generating projects given one of these templates.\n\n![app](https://github.com/user-attachments/assets/eeb0aa63-ab85-4b6c-9c8e-ec771f13fd5c)\n\nPhoenix `mix phx.gen` commands are powerful but uncomfortable. They are repetitive, error-prone, lack good in-terminal documentation and don't lend themselves to an iterative design process. With GenEditor you can bring them into Livebook and enjoy ease of documentation, a suitable format for version control, a collaborative editor, persistent artifacts after project generation.\n\nYou can have a look at the `examples` folder or jump straight in:\n\n[![d](https://livebook.dev/badge/v1/blue.svg)](https://livebook.dev/run?url=https%3A%2F%2Fgithub.com%2Fbeltranaceves%2Fgen_editor%2Fblob%2Fmain%2Fexamples%2Fauth_users_comments_admin.livemd)\n\nA temporary Livebook [hosted instance](https://huggingface.co/spaces/beltranaceves/livebook) (password: `livebook_playground`)has been set up for users to try out the examples. Just click open and import from one of the repo's urls.","ref":"readme.html"},{"type":"extras","title":"Installation - Home","doc":"To bring GenEditor to Livebook all you need to do is `Mix.install/2`:\n\n```elixir\nMix.install([\n  {:gen_editor, \"~> 0.3.2\"}\n])\n```","ref":"readme.html#installation"},{"type":"extras","title":"Use and examples - Home","doc":"GenEditor is an alternative way to define and execute Phoenix Mix commands for code generation. It allows you to use Smart Cells to configure a template file containing all the desired Mix commands, and execute it within Livebook.\n\nEach cell configures a `mix phx.gen` task, or a shared resource like `Context` or `Schema`.\n\nAt the moment you can only configure a single template file and application per Livebook notebook. Each notebook must contains at least a cell of type App and cell of type Blueprint to generate a template file.\n\n# License\nCopyright (c) 2024 Beltrán Aceves and others, MIT License. See [LICENSE](https://github.com/beltranaceves/gen_editor/blob/main/LICENSE) for further details.","ref":"readme.html#use-and-examples"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}